Subject: bug#46155: 28.0.50; Regression: buffer contents flicker on macOS frames when

From: Alan Third <[email-masked]>
Date: Tue, 9 Feb 2021 20:08:02 +0000

On Tue, Feb 09, 2021 at 06:29:22PM +0200, Andrii Kolomoiets wrote:
> Alan Third <[email-masked]> writes:
> 
> > On Tue, Feb 09, 2021 at 11:05:08AM +0000, Alan Third wrote:
> >> 
> >> The patch Aaron and Andrii are using calls redisplay() just before the
> >> frame is drawn, but only if it is garbaged.
> >
> > I see from a subsequent email that Andrii isn't using the NS port, so
> > that bit of my message is wrong.
> 
> Sorry for kind of misleading you.  I indeed use NS port. The receipt for
> minibuffer-only frame flickering was made on nearly recent master
> version with your patch applied.  (I must say resizing and fullscreen
> transition looks awesome now, thanks!)
> 
> I used GTK port under X in the VirtualBox to test the issue with the
> minibuffer-only frame resized more than once even if the text is not
> changed.

Ah, OK. I guess it probably is exclusive to NS then.

The obvious solution IMO is to retain a copy of the old frame contents
and draw them in after resizing, before we try calling redisplay().

On the other hand, it would be nice to know why redisplay() isn't
drawing anything...
-- 
Alan Third